IRPCVaultsAdmin.UpgradeVault

View as Markdown

Administration API / specialized admin session idempotent

Upgrades an old document vault to the current version.

ServiceVault management MFiles.IRPCVaultsAdmin
gRPC method/MFiles.IRPCVaultsAdmin/UpgradeVault
HTTP (mf-http-grpc)POST /grpc/v1/upgrade-vault
RequestUpgradeVaultRequest
ResponseUpgradeVaultResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: UpgradeVaultRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
vaultstringThe GUID of the vault to upgrade.

Response: UpgradeVaultResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
upgradedboolIf true, the vault was upgraded. If false, the vault was already of the latest version.